function onBegin()
	if getFlag("transitionSkip",true) then
		player.Facing = getEnum("Celeste.Facings", "Right")
		setColorGrade("none",true)
	else 
		player.Facing = getEnum("Celeste.Facings", "Right")
		wait()
		setColorGrade("none",false)
		player.Sprite:Play("wakeUp")
		wait(2.7)
  
	end
 end
 
 function onEnd()
	player.DummyAutoAnimate = true
	enableMovement()
 end